uk.gov.hmrc.ct.accounts.frs102.boxes.loansToDirectors

# AC304A

###
Related Doc: package loansToDirectors

#### case class AC304A(value: Option[String]) extends CtBoxIdentifier with CtOptionalString with Input with SelfValidatableBox[Frs102AccountsBoxRetriever with Frs10xDirectorsBoxRetriever, Option[String]] with Validators with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, SelfValidatableBox[Frs102AccountsBoxRetriever with Frs10xDirectorsBoxRetriever, Option[String]], ValidatableBox[Frs102AccountsBoxRetriever with Frs10xDirectorsBoxRetriever], ExtraValidation, Validators, Input, CtOptionalString, OptionalCtValue[String], CtValue[Option[String]], CtBoxIdentifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC304A
2. Serializable
3. Serializable
4. Product
5. Equals
6. SelfValidatableBox
7. ValidatableBox
8. ExtraValidation
9. Validators
10. Input
11. CtOptionalString
12. OptionalCtValue
13. CtValue
14. CtBoxIdentifier
15. AnyRef
16. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AC304A(value: Option[String])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def And(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

5. #### def Or(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

6. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]

   Attributes
     protected
   Definition Classes
     ValidatableBox

9. #### def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

   Attributes
     protected
   Definition Classes
     Validators

10. #### implicit def box2OptionalBigDecimalIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalBigDecimalIdBox

    Definition Classes
      SelfValidatableBox

11. #### implicit def box2OptionalBooleanIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalBooleanIdBox

    Definition Classes
      SelfValidatableBox

12. #### implicit def box2OptionalDateIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalDateIdBox

    Definition Classes
      SelfValidatableBox

13. #### implicit def box2OptionalIntIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalIntIdBox

    Definition Classes
      SelfValidatableBox

14. #### implicit def box2OptionalStringIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalStringIdBox

    Definition Classes
      SelfValidatableBox

15. #### implicit def box2StringIdBox(box: CtValue[_] with CtBoxIdentifier): StringIdBox

    Definition Classes
      SelfValidatableBox

16. #### val boxId: String

    Attributes
      protected
    Definition Classes
      Validators

17. #### def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

18. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

20. #### def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

21. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

23. #### def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

24. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def hasValue: Boolean

    Definition Classes
      OptionalCtValue

27. #### def id: String

    Definition Classes
      CtBoxIdentifier

28. #### def isEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

29. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

30. #### val name: String

    Definition Classes
      CtBoxIdentifier

31. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

32. #### def noValue: Boolean

    Definition Classes
      OptionalCtValue

33. #### def nonEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

37. #### val postCodeRegex: String

    Attributes
      protected
    Definition Classes
      ExtraValidation

38. #### def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

39. #### def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### def validate(boxRetriever: Frs102AccountsBoxRetriever with Frs10xDirectorsBoxRetriever): Set[CtValidation]

    Definition Classes
      AC304A → ValidatableBox

42. #### def validateAllFilledOrEmptyStrings(allBoxes: Set[CtValue[String]])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

43. #### def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

44. #### def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

45. #### def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

46. #### def validateAsMandatory()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

47. #### def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

48. #### def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]

    Definition Classes
      ExtraValidation

49. #### def validateBooleanAsMandatory()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

50. #### def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

51. #### def validateBooleanAsTrue()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

52. #### def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

53. #### def validateCoHoStringReturnIllegalChars(value: String, errorCodeBoxId: Option[String])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

54. #### def validateCoHoStringReturnIllegalChars()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

55. #### def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

56. #### def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

57. #### def validateCohoNameField()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

58. #### def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

59. #### def validateCohoOptionalNameField()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

60. #### def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

61. #### def validateDateAsAfter(dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

62. #### def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

63. #### def validateDateAsBefore(dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

64. #### def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

65. #### def validateDateAsBetweenInclusive(date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

66. #### def validateDateAsBetweenInclusive(minDate: LocalDate, maxDate: LocalDate)()(implicit ev: <:<[Option[String], Option[LocalDate]]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

67. #### def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

68. #### def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

69. #### def validateDateAsBlank()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

70. #### def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

71. #### def validateDateAsMandatory(date: Option[LocalDate], messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

72. #### def validateDateAsMandatory()()(implicit ev: <:<[Option[String], Option[LocalDate]]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

73. #### def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

74. #### def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

75. #### def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]

    Definition Classes
      ExtraValidation

76. #### def validateIntegerAsBlank()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

77. #### def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

78. #### def validateIntegerAsMandatory()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

79. #### def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

80. #### def validateIntegerRange(min: Int = 0, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

81. #### def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

82. #### def validateMoney(value: Option[Int], min: Int = 99999999, max: Int = 99999999)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

83. #### def validateNotEmptyStringByLength(value: String, min: Int, max: Int)(): Set[CtValidation]

    Definition Classes
      SelfValidatableBox

84. #### def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

85. #### def validateOptionalIntegerAsEqualTo(equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

86. #### def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

87. #### def validateOptionalIntegerLessOrEqualBox(other: CtBoxIdentifier with CtOptionalInteger)()(implicit ev: <:<[Option[String], Option[Int]]): Set[CtValidation]

    Definition Classes
      SelfValidatableBox

88. #### def validateOptionalStringByLength(min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

89. #### def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

90. #### def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]

    Definition Classes
      ExtraValidation

91. #### def validateOptionalStringByRegex(regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

92. #### def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

93. #### def validatePositiveBigDecimal()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

94. #### def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

95. #### def validatePositiveInteger()(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      SelfValidatableBox

96. #### def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

97. #### def validatePostcode(boxId: String)()(implicit ev: <:<[Option[String], Option[String]]): Set[CtValidation]

    Definition Classes
      SelfValidatableBox

98. #### def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

99. #### def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]

    Definition Classes
      ExtraValidation

100. #### def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]

     Definition Classes
       ExtraValidation

101. #### def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]

     Definition Classes
       ExtraValidation

102. #### def validateRawStringByRegex(value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

103. #### def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

104. #### def validateStringAsBlank()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

105. #### def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

106. #### def validateStringAsMandatory()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

107. #### def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

108. #### def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

109. #### def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

110. #### def validateStringAsMandatoryWithNoTrailingWhitespace()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

111. #### def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

112. #### def validateStringByLength(value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]

     Definition Classes
       SelfValidatableBox

113. #### def validateStringByLength(min: Int, max: Int)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

114. #### def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]

     Definition Classes
       ValidatableBox

115. #### def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

116. #### def validateStringByRegex(regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

117. #### def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

118. #### def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]

     Definition Classes
       ExtraValidation

119. #### def validateStringMaxLength(value: String, max: Int)(): Set[CtValidation]

     Definition Classes
       SelfValidatableBox

120. #### def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]

     Definition Classes
       ValidatableBox

121. #### def validateZeroOrPositiveBigDecimal()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

122. #### def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

123. #### def validateZeroOrPositiveInteger()(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       SelfValidatableBox

124. #### def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

125. #### val value: Option[String]

     Definition Classes
       AC304A → CtValue

126. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

127. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

128. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from SelfValidatableBox[Frs102AccountsBoxRetriever with Frs10xDirectorsBoxRetriever, Option[String]]

### Inherited from ValidatableBox[Frs102AccountsBoxRetriever with Frs10xDirectorsBoxRetriever]

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from Input

### Inherited from CtOptionalString

### Inherited from OptionalCtValue[String]

### Inherited from CtValue[Option[String]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped